# GF4 Public Website

Homepage for **Galactic Fortress 4**, served at [www.gf4.pw](https://www.gf4.pw/).  This website was built with [Eleventy](https://github.com/11ty/eleventy) static site generator and forked from [its base blog starter project](https://github.com/11ty/eleventy-base-blog).

[![Build Status](https://travis-ci.org/11ty/eleventy-base-blog.svg?branch=master)](https://travis-ci.org/11ty/eleventy-base-blog)

## Installation

### 1. Clone this Repository

```
git clone https://gitea.gf4.pw/gf4/www.git gf4-www
```


### 2. Navigate to the directory

```
cd gf4-www
```

### 3. Install dependencies

```
npm install
```

### 4. Build

```
npx eleventy
```

Or build and host locally for local development
```
npx eleventy --serve
```

Or build automatically when a template changes:
```
npx eleventy --watch
```

Or in debug mode:
```
DEBUG=* npx eleventy
```
